org.apache.maven.scm.provider.svn.svnexe.command

## Class SvnCommandLineUtils

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.SvnCommandLineUtils

    public class SvnCommandLineUtils
    extends Object

Command line construction utility.

Version:
  $Id: SvnCommandLineUtils.java 733437 2009-01-11 09:25:52Z dantran $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`SvnCommandLineUtils()`

### Method Summary

Methods
`static void` `addTarget(org.codehaus.plexus.util.cli.Commandline cl, List files)`
`static String` `cryptPassword(org.codehaus.plexus.util.cli.Commandline cl)`
`static int` `execute(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stdout, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
`static int` `execute(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.StreamConsumer consumer, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
`static int` `executeCleanUp(File workinDirectory, org.codehaus.plexus.util.cli.StreamConsumer stdout, org.codehaus.plexus.util.cli.StreamConsumer stderr)`
`static int` `executeCleanUp(File workinDirectory, org.codehaus.plexus.util.cli.StreamConsumer stdout, org.codehaus.plexus.util.cli.StreamConsumer stderr, ScmLogger logger)`
`static org.codehaus.plexus.util.cli.Commandline` `getBaseSvnCommandLine(File workingDirectory, SvnScmProviderRepository repository)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnCommandLineUtils

    public SvnCommandLineUtils()

### Method Detail

#### addTarget

    public static void addTarget(org.codehaus.plexus.util.cli.Commandline cl,
                 List files)
                          throws IOException

Throws:
  `IOException`

#### getBaseSvnCommandLine

    public static org.codehaus.plexus.util.cli.Commandline getBaseSvnCommandLine(File workingDirectory,
                                                                 SvnScmProviderRepository repository)

#### execute

    public static int execute(org.codehaus.plexus.util.cli.Commandline cl,
              org.codehaus.plexus.util.cli.StreamConsumer consumer,
              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
              ScmLogger logger)
                       throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### execute

    public static int execute(org.codehaus.plexus.util.cli.Commandline cl,
              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stdout,
              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
              ScmLogger logger)
                       throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### executeCleanUp

    public static int executeCleanUp(File workinDirectory,
                     org.codehaus.plexus.util.cli.StreamConsumer stdout,
                     org.codehaus.plexus.util.cli.StreamConsumer stderr)
                              throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### executeCleanUp

    public static int executeCleanUp(File workinDirectory,
                     org.codehaus.plexus.util.cli.StreamConsumer stdout,
                     org.codehaus.plexus.util.cli.StreamConsumer stderr,
                     ScmLogger logger)
                              throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### cryptPassword

    public static String cryptPassword(org.codehaus.plexus.util.cli.Commandline cl)